General

get

Retrieves a filtered list of vaults with their basic information including address, network, associated asset details, and transactional support status.

Authorizations
x-api-keystringRequired
Query parameters
pageintegerOptional

Page number (starting from 0)

Default: 0
perPageinteger · max: 5000Optional

Number of items per page

Default: 50
networkstring · enumOptional

Include only vaults with provided network(name or CAIP)

Possible values:
assetSymbolstring · min: 1Optional

Include only vaults with an asset of provided symbol(ticker)

onlyTransactionalbooleanOptional

Include only vaults that are supported in the transactional interface.

onlyAppFeaturedbooleanOptional

Include only vaults that are featured in app.vaults.fyi

allowCorruptedbooleanOptional

Allow inclusion of corrupted vaults.

Default: false
Responses
chevron-right
200

Default Response

application/json
itemsOnPageintegerRequired

Number of items on the current page

nextPageintegerOptional

Next page number

get
/v2/vaults
get

Retrieves a filtered list of supported assets with their metadata including address, symbol, name, decimals, and network information.

Authorizations
x-api-keystringRequired
Query parameters
pageintegerOptional

Page number (starting from 0)

Default: 0
perPageinteger · max: 5000Optional

Number of items per page

Default: 50
networkstring · enumOptional

Include only vaults with provided network(name or CAIP)

Possible values:
Responses
chevron-right
200

Default Response

application/json
itemsOnPageintegerRequired

Number of items on the current page

nextPageintegerOptional

Next page number

get
/v2/assets
get

Retrieves a complete list of available vault categorization tags that can be used for filtering and organizing vault data

Authorizations
x-api-keystringRequired
Responses
chevron-right
200

Tags of the vault

application/json
string[]Optional

Tags of the vault

get
/v2/tags
get

Retrieves a complete list of supported blockchain networks with their identifiers including network name, chain ID, and CAIP format identifier.

Authorizations
x-api-keystringRequired
Responses
chevron-right
200

List of supported networks

application/json

List of supported networks

namestring · enumRequired

Name of the network

Possible values:
chainIdintegerRequired

Chain ID of the network

networkCaipstringRequired

CAIP-2 of the network

Pattern: ^eip155:\d+$
get
/v2/networks

Last updated